/* tslint:disable */
/* eslint-disable */
/**
 * Coscine Web API
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


// May contain unused imports in some cases
// @ts-ignore
import type { HashParametersDto } from './hash-parameters-dto';
// May contain unused imports in some cases
// @ts-ignore
import type { VariantDto } from './variant-dto';

/**
 * Data transfer object (DTO) representing the update of provenance  Inherits from the base class Coscine.Api.Core.Shared.DataTransferObjects.ParameterObjects.ProvenanceParametersDto.
 * @export
 * @interface ProvenanceForUpdateDto
 */
export interface ProvenanceForUpdateDto {
    /**
     * Gets or sets the adapted versions from the specific metadata tree.
     * @type {Array<string>}
     * @memberof ProvenanceForUpdateDto
     */
    'wasRevisionOf'?: Array<string>;
    /**
     * Gets or sets the variants of the specific metadata tree.
     * @type {Array<VariantDto>}
     * @memberof ProvenanceForUpdateDto
     */
    'variants'?: Array<VariantDto>;
    /**
     * Information if the specific metadata tree was invalidated by something.
     * @type {string}
     * @memberof ProvenanceForUpdateDto
     */
    'wasInvalidatedBy'?: string | null;
    /**
     * The similarity to the last version.
     * @type {number}
     * @memberof ProvenanceForUpdateDto
     */
    'similarityToLastVersion'?: number | null;
    /**
     * Gets or initializes the version of the metadata extractor.
     * @type {string}
     * @memberof ProvenanceForUpdateDto
     */
    'metadataExtractorVersion'?: string | null;
    /**
     * 
     * @type {HashParametersDto}
     * @memberof ProvenanceForUpdateDto
     */
    'hashParameters'?: HashParametersDto;
    /**
     * Gets or sets the id of the specific metadata tree.
     * @type {string}
     * @memberof ProvenanceForUpdateDto
     */
    'id': string;
}

